Update risk match resolution | Parallel Developer Documentation

This is documentation for Parallel Developer Documentation Legacy – v1.x, which is no longer actively maintained.

For up-to-date documentation, see the latest version (Current – v2.x).

Version: Legacy – v1.x

This endpoint can be used to update a specific risk match's resolution status.

HTTP Request

PUT https://api.parallelmarkets.com/v1/partner-records/{id}/risk-matches/{risk_match_id}

Request Parameters

Parameter Description
resolution (string) Required The resolution status to set for the risk match. Can be one of:
- name-mismatch
- nationality-mismatch
- birth-date-mismatch
- possible-match
- likely-match
notes (string) Optional. Notes to attach to the new resolution status.

Sample payload

{

"resolution": "likely-match",

"notes": "Name, DOB, Nationality and picture indicate a likely match."

}

Response Parameters

Returns a Risk Match object for a valid identifier.

Example Response

{

"change_id": "UG9kVXNlckRhdGFFbnRyeTo5NTA=",

"created_at": "2023-06-07T09:54:33Z",

"id": "VXNlclJpc2tNb25pdG9yTWF0Y2g6NDU=",

"match_details": {

"adverse_media": true,

"birth_date": "1957-03-10",

"currently_sanctioned": true,

"deceased": true,

"disqualified_director": false,

"financial_regulator": true,

"first_name": "Joe",

"insolvent": false,

"last_name": "Sanctioned",

"law_enforcement": true,

"middle_name": "PATRICK",

"nationalities": ["RU"],

"pep": true,

"previously_sanctioned": false,

"score": 100

},

"resolution": "likely-match",

"resolution_id": "UG9kVXNlclJpc2tNYXRjaDoxMTU=",

"resolution_notes": "Name, DOB, Nationality and picture indicate a likely match.",

"resolved_at": "2023-06-07T09:54:33Z",

"resolved_by": {

"email": "reviewer@acme.com",

"first_name": "John",

"last_name": "Reviewer"

}

}